package at.acdp.urweb.web;

import java.nio.file.Paths;
import io.undertow.Handlers;
import io.undertow.Undertow;
import io.undertow.server.HttpHandler;
import io.undertow.server.HttpServerExchange;
import io.undertow.server.handlers.resource.PathResourceManager;
import org.slf4j.LoggerFactory;

import static io.undertow.Handlers.resource;

public class WebServer {
    private final static org.slf4j.Logger logger = LoggerFactory.getLogger(WebServer.class);
    private final int port;
    private Undertow server;

    public WebServer(int port, boolean debug) {
        this.port = port;
    }

    public void start() {
        Undertow.Builder builder = Undertow.builder();
        builder.addHttpListener(port, "0.0.0.0");
        builder.setHandler(Handlers.routing()
                .get("/test/{id}", ex -> {
                    System.out.println(ex.getQueryParameters().get("id").getFirst());
                })
                .get("/*", resource(new PathResourceManager(Paths.get("webroot"), 100))
                        .setDirectoryListingEnabled(true))
        );
        server=builder.build();
        server.start();
    }
}